Fehlerbehebung oder Downgrade... Was ist möglich?

Dieses Thema im Forum "Installation" wurde erstellt von Yogi, 17. September 2007.

  1. Yogi

    Yogi Member

    Registriert seit:
    30. Mai 2007
    Beiträge:
    12
    Zustimmungen:
    0
    Hi,

    hab folgendes Problem...

    Hab gestern Abend ein WP installiert (2.2.3) und alles eingerichtet, Plugins eingedeutscht etc... und ganz zum Schluß wollte ich neue Kategorien anlegen, den Beispieltext auf der Startseite ändern etc...

    Aber jedesmal bekomm ich die Fehlermeldung das ich nicht genügend Rechte hätte... Wie ich durch die Suche bereits festgestellt habe, bin ich nicht der einzige mit dem Problem... Es war auch keine Problemlösung dabei die mich weiter gebracht hat...

    Sprich ist hierfür eine Problemlösung abzusehen, weil ohne Kategorien, Beiträge etc. ist der Blog nix wert... Oder ist es besser ne ältere Version von WP einzuspielen oder gleich das System zu wechseln?

    Gruß
     
  2. Keiran

    Keiran Well-Known Member

    Registriert seit:
    3. Januar 2007
    Beiträge:
    472
    Zustimmungen:
    0
    Also "gleich das System wechseln" oder eine ältere WordPress Version zu nutzen ist keineswegs falsch - aber auch nicht richtig.

    Hast du zufällig noch die Links zu den Threads parat?

    Weil bei den Rechten könnte es sich entweder um ein Installationsfehler (nach meiner Erfahrung), oder schlichtweg an Einschränkungen am Server liegen. zB die CHMOD-Automatik bei den Protokollen im Upload nicht richtig eingestellt. Zum Beispiel.

    Schon mal da alle Punkte durchgegangen?
     
  3. Yogi

    Yogi Member

    Registriert seit:
    30. Mai 2007
    Beiträge:
    12
    Zustimmungen:
    0
    http://forum.wordpress-deutschland.org/allgemeines/18412-du-hast-nicht-die-noetigen-berechtigungen-das-zu-tun.html
    http://forum.wordpress-deutschland.org/konfiguration/20686-keine-berechtigung-um-neue-kategorien-zu-erstellen.html

    Den 3ten Link find ich nemmer, hatte 3 oder 4 Posts und der Anfangspost war von jemanden der hatte das gleiche Problem... und die erste Antwort darauf war ein Link über Google, den ich auch gefunden hatte und auch keine Besserung gebracht hat...

    Johannes Gehlert » Du hast nicht die nötigen Berechtigungen das zu tun…

    Ich habe bereits einen Blog (WP 2.1 dürfte das sein) welcher ohne Probleme läuft... auf den gleichen Webspace hab ich eben WP 2.2.3 installiert, das eben beschriebene Probleme verursacht...

    Installationsfehler dürfte (denk ich mal) ausgeschlossen sein, da ich bei der ersten Installation das gleiche Problem hatte und darauf hin insgesamt 2 mal neu installiert habe... Inklusiver neuer DB...

    Info.php hab ich hiermal... phpinfo()

    Habs auch bereits mit verschiedenen Rechnern und Browsern getestet... Plugins auch alle mal deaktiviert...
     
  4. Keiran

    Keiran Well-Known Member

    Registriert seit:
    3. Januar 2007
    Beiträge:
    472
    Zustimmungen:
    0
    Echt seltsam. Weil das was im Link steht - also dieses Workaround, klingt sehr gut. Was ich höchstens noch sagen könnte wäre zu fragen, ob du deine Browsercache nach dem editieren gelöscht hast. Wegen eventuellen Cookies und der Cache halt.

    Also der Link... der ist echt interessant - weiterführend: AJAX Referer Fix • Spare Pencil
     
    #4 Keiran, 17. September 2007
    Zuletzt bearbeitet: 17. September 2007
  5. Yogi

    Yogi Member

    Registriert seit:
    30. Mai 2007
    Beiträge:
    12
    Zustimmungen:
    0
    HI,

    also das Plugin funzt bei mir nicht...

    Cache hab ich geleert...

    Problem besteht weiterhin...
     
  6. Yogi

    Yogi Member

    Registriert seit:
    30. Mai 2007
    Beiträge:
    12
    Zustimmungen:
    0
    Schade das keine Problemlösung gefunden wurde...

    Hab mir jetzt mit 2.1.3 beholfen...
     
  7. jottlieb

    jottlieb WPD-Team

    Registriert seit:
    20. August 2005
    Beiträge:
    17.382
    Zustimmungen:
    0
    Das ist leider eine schlechte Idee. Wer will, kann deinen Block kapern und lahmlegen.
     
  8. Yogi

    Yogi Member

    Registriert seit:
    30. Mai 2007
    Beiträge:
    12
    Zustimmungen:
    0
    und wie?

    aber was soll ich dann machen??? Nen Blog nehmen der evtl. gehackt wird oder einen nehmen, der zwar sicher ist, aber in dem ich weder was schreiben noch sonst was machen kann???

    Gruß
     
  9. jottlieb

    jottlieb WPD-Team

    Registriert seit:
    20. August 2005
    Beiträge:
    17.382
    Zustimmungen:
    0
    Ich werde hier sicher keine Links zu Exploits posten. Man muss es den ScritpKiddies nicht zu einfach machen.

    Ansonsten: Schonmal einen anderen Browser getestet?